<?php
// -----------------------------------------------------
// Sample PHP Script to show how to dynamically generate
// the configuration information for the Line Graph
// function
//
// Although in this sample all the values are hard coded
// in reality some values would be first calculated
// before being output.
//
// For more extensive scripts and techniques see the online
// Tutorials at:-
// http://www.jpowered.com/graph_chart_collection/tutorials/index.htm
//
// -----------------------------------------------------

// set the values for each parameter
$BackgroundColor = "#FFFFFF";
$linkcursor = "hand";
$thousandseparator = ",";
$nSeries = "3";
$ndecplaces = "2";

$grid = "true";
$axis = "true";
$nRows = "8";
$vSpace = "20";
$hSpace = "20";
$nPoints = "12";
$gridxpos = "30";
$gridypos = "270";
$gridstyle = "2";
$gridColor = "#AAAAAA";
$axisColor = "#888888";
$floorColor = "#EEEEFF";
$gridbgimage = " ";
$gridbgcolor = "#FFFF88";

$autoscale = "true";
$chartScale = "1";
$chartStartY = "0";

$threed = "false";
$outline = "false";
$lineOutlineColor = "blue";
$depth3D = "0";

$legend = "true";
$LegendBackground = "#9999FF";
$LegendBorder = "#5555AA";
$LegendtextColor = "#FFFFFF";
$legendtitle = "Legend Title";
$legendposition = "-1,-1";
$legendfont = "Arial,N,12";
$LegendStyle = "Horizontal";

$labelOrientation = "Up Angle";
$labelsY = "300";
$xlabel_font = "Arial,N,12";
$labelColor = "#000000";
$label1 = "January";
$label2 = "February";
$label3 = "March";
$label4 = "April";
$label5 = "May";
$label6 = "June";
$label7 = "July";
$label8 = "August";
$label9 = "September";
$label10 = "October";
$label11 = "November";
$label12 = "December";

$ylabels = "true";
$ylabel_font = "Arial,N,12";
$ylabel_pre = "$";
$ylabel_post = " ";

$title = "Graph Title";
$xtitle = "X axis title";
$ytitle = "Y axis title";

$popupbgcolor = "#AAAAFF";
$popupfont = "Arial,N,12";
$popup_pre = "$";
$popup_post = " ";

$series1 = "#F00000|6|16|false|Series 1";
$series2 = "#F000F0|6|16|true|Series 2";
$series3 = "#00F000|0|10|false|Series 3";





// Output the configuration parameters
echo "<!-- General Properties -->\n";
echo "BackgroundColor: ".$BackgroundColor."\n";
echo "linkcursor: ".$linkcursor."\n";
echo "thousandseparator: ".$thousandseparator."\n";
echo "nSeries: ".$nSeries."\n";
echo "ndecplaces: ".$ndecplaces."\n";
echo " \n";
echo "<!-- Grid properties -->\n";
echo "grid: ".$grid."\n";
echo "axis: ".$axis."\n";
echo "nRows: ".$nRows."\n";
echo "vSpace: ".$vSpace."\n";
echo "hSpace: ".$hSpace."\n";
echo "nPoints: ".$nPoints."\n";
echo "gridxpos: ".$gridxpos."\n";
echo "gridypos: ".$gridypos."\n";
echo "gridstyle: ".$gridstyle."\n";
echo "gridColor: ".$gridColor."\n";
echo "axisColor: ".$axisColor."\n";
echo "floorColor: ".$floorColor."\n";
echo "gridbgimage: ".$gridbgimage."\n";
echo "gridbgcolor: ".$gridbgcolor."\n";
echo " \n";
echo "<!-- Scale properties -->\n";
echo "autoscale: ".$autoscale."\n";
echo "chartScale: ".$chartScale."\n";
echo "chartStartY: ".$chartStartY."\n";
echo " \n";
echo "<!-- 3D properties -->\n";
echo "3D: ".$threed."\n";
echo "outline: ".$outline."\n";
echo "lineOutlineColor: ".$lineOutlineColor."\n";
echo "depth3D: ".$depth3D."\n";
echo " \n";
echo "<!-- Legend properties -->\n";
echo "legend: ".$legend."\n";
echo "LegendBackground: ".$LegendBackground."\n";
echo "LegendBorder:  ".$LegendBorder."\n";
echo "LegendtextColor: ".$LegendtextColor."\n";
echo "legendtitle:  ".$legendtitle."\n";
echo "legendposition:  ".$legendposition."\n";
echo "legendfont:  ".$legendfont."\n";
echo "LegendStyle: ".$LegendStyle."\n";
echo " \n";
echo "<!-- X axis labels -->\n";
echo "labelOrientation: ".$labelOrientation."\n";
echo "labelsY: ".$labelsY."\n";
echo "xlabel_font: ".$xlabel_font."\n";
echo "labelColor: ".$labelColor."\n";
echo "label1: ".$label1."\n";
echo "label2: ".$label2."\n";
echo "label3: ".$label3."\n";
echo "label4: ".$label4."\n";
echo "label5: ".$label5."\n";
echo "label6: ".$label6."\n";
echo "label7: ".$label7."\n";
echo "label8: ".$label8."\n";
echo "label9: ".$label9."\n";
echo "label10: ".$label10."\n";
echo "label11: ".$label11."\n";
echo "label12: ".$label12."\n";
echo " \n";
echo "<!-- Y axis labels -->\n";
echo "ylabels: ".$ylabels."\n";
echo "ylabel_font: ".$ylabel_font."\n";
echo "ylabel_pre: ".$ylabel_pre."\n";
echo "ylabel_post: ".$ylabel_post."\n";
echo " \n";
echo "<!-- Chart Titles -->\n";
echo "title: ".$title."\n";
echo "xtitle: ".$xtitle."\n";
echo "ytitle: ".$ytitle."\n";
echo " \n";
echo "<!-- PopUp Display -->\n";
echo "popupbgcolor: ".$popupbgcolor."\n";
echo "popupfont: ".$popupfont."\n";
echo "popup_pre: ".$popup_pre."\n";
echo "popup_post: ".$popup_post."\n";
echo " \n";
echo "<!-- Series Data -->\n";
echo "series1: ".$series1."\n";
echo "series2: ".$series2."\n";
echo "series3: ".$series3."\n";

exit;
?>
